commit 2486cac31dc0ce68d3705695c6fe61d68db51d31
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Tue Nov 4 11:12:11 2025 +0000

    Unbreak Solaris build
    
    Broken-by: dea05068da8c

diff --git a/src/src/macro_predef.c b/src/src/macro_predef.c
index caa6bf7c3..e7070f554 100644
--- a/src/src/macro_predef.c
+++ b/src/src/macro_predef.c
@@ -20,9 +20,12 @@ unsigned mp_index = 0;
 void fn_smtp_receive_timeout(const uschar * name, const uschar * str) {}
 uschar * syslog_facility_str;
 
-/* Solaris needs this one for the macro expand_string() */
+/* Solaris needs these for the macros expand_string, parse_find_address_end */
 const uschar * expand_string_2(const uschar * string, BOOL * textonly_p)
 {return NULL; }
+const uschar * parse_find_address_end_gen(const uschar *, BOOL)
+{return NULL; }
+
 
 /******************************************************************************/
 

